return {
	"LudoPinelli/comment-box.nvim",
	lazy = false,
	opts = {
		comment_style = "line",
		doc_width = 90, -- width of the document
		box_width = 75, -- width of the boxes
		line_width = 120, -- width of the lines
	},
	"numToStr/Comment.nvim",
	event = { "BufReadPre", "BufNewFile" },
	dependencies = {
		"JoosepAlviste/nvim-ts-context-commentstring",
	},
	config = function()
		-- import comment plugin safely
		local comment = require("Comment")

		local ts_context_commentstring = require("ts_context_commentstring.integrations.comment_nvim")

		-- enable comment
		comment.setup({
			-- for commenting tsx, jsx, svelte, html files
			pre_hook = ts_context_commentstring.create_pre_hook(),
		})
	end,
}
