return {
  'nvim-tree/nvim-tree.lua',
  dependencies = 'nvim-tree/nvim-web-devicons',
  config = function()
    local nvimtree = require 'nvim-tree'

    -- recommended settings from nvim-tree documentation
    vim.g.loaded_netrw = 1
    vim.g.loaded_netrwPlugin = 1

    nvimtree.setup {
      view = {
        width = 24,
        relativenumber = true,
      },
      -- change folder arrow icons
      renderer = {
        indent_markers = {
          enable = true,
          -- icons = {
          --   corner = '󱞩', -- Light Arc Up and Right
          -- edge = '', -- Box Drawings Heavy Vertical
          --   item = '', -- Box Drawings Heavy Vertical and Right
          --   none = ' ', -- default: (empty space)
          -- },
        },
        icons = {
          glyphs = {
            folder = {
              arrow_closed = '', -- arrow when folder is closed
              arrow_open = '', -- arrow when folder is open
            },
            default = '',
            symlink = '',
            git = {
              unstaged = '',
              staged = '',
              unmerged = '',
              renamed = '󰘦',
              untracked = '󰓒',
              deleted = '',
              -- ignored = '󱥸',
            },
          },
        },
      },
      -- -- disable window_picker for
      -- -- explorer to work well with
      -- -- window splits
      -- actions = {
      --   open_file = {
      --     window_picker = {
      --       enable = false,
      --     },
      --   },
      -- },
      filters = {
        custom = { '.DS_Store' },
      },
      git = {
        ignore = false,
      },
    }
  end,
}
